=== debian/control ===
Source: ros-indigo-convenience-ros-functions
Section: misc
Priority: extra
Maintainer: Jennifer Buehler <jennifer.e.buehler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-baselib-binding, ros-indigo-catkin, ros-indigo-convenience-math-functions, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-rosbag, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-trajectory-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-convenience-ros-functions
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-baselib-binding, ros-indigo-convenience-math-functions, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-rosbag, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-trajectory-msgs
Description: Provides a variety of convenience functions for certain ROS messages
